%define version 0.9
%define release %mkrel 2
%define modulename pcc-acpi
%define modulerealname pcc_acpi
%define modulepath %{_usrsrc}/dkms-%{modulename}-%{version}-%{release}

Name:		dkms-%{modulename}
Version:	%version
Release:	%release
Source:		http://www.da-cha.jp/files/%{modulename}-%{version}.tar.bz2
URL:		http://www.da-cha.jp/letsnote/
License:	GPLv2
Group:		System/Kernel and hardware
Summary:	acpi driver for Panasonic laptops
Requires(post): dkms
Requires(preun): dkms
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}
%description
acpi driver for Panasonic laptops

%prep
%setup -q -n %{modulename}-%{version}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{modulepath}
%{__cp} -a . %{buildroot}%{modulepath}

cat > %{buildroot}/%{modulepath}/dkms.conf <<EOF
PACKAGE_VERSION="%{version}-%{release}"

PACKAGE_NAME="%{modulename}"
DEST_MODULE_LOCATION[0]="/kernel/drivers/acpi"
BUILT_MODULE_NAME[0]="%{modulerealname}"
MAKE[0]="make -C \${kernel_source_dir} M=\\\$(pwd)"
CLEAN="make KVER=\${kernelver} clean"
REMAKE_INITRD="no"
AUTOINSTALL="yes"
EOF

%post
dkms add     -m %{name} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build   -m %{name} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install -m %{name} -v %{version}-%{release} --rpm_safe_upgrade --force
true

%preun
dkms remove  -m %{name} -v %{version}-%{release} --rpm_safe_upgrade --all
true

%files
%doc COPYING readme.html
%{modulepath}


%changelog
* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 0.9-2mdv2008.0
+ Revision: 94468
- update to new version

* Tue Sep 04 2007 Nicolas Vigier <nvigier@mandriva.com> 0.9-1mdv2008.0
+ Revision: 78894
- Import dkms-pcc-acpi

